## 正文
### 学习机制
游戏上瘾的本质是学习上瘾，是【生成一个目标A，不知道如何实现A，判断为方式B可能实现A，执行方式B，果然实现A】。  
一个优秀的游戏，需要能刺激玩家产生大量的A。  
第一类A与B，是【从大量新信息中，判定为“某些新信息是不需要关注的”，从而降低思维压力】。简称【忽视】。（A为“在不带来其他损失的情况下，降低思维压力”，B为“忽视不重要的信息”。）  
（普通游戏，是指学到的知识价值不大的游戏。学到的知识：B可以实现A。）  
### 第一类忽视  
对于如下三种方案：
1.获得了一个装备，攻击力+10。
2.获得了一个装备，攻击力+10，能够轻松打败原本打不过的敌人。
3.获得了两个装备，一个攻击力+2，一个攻击力+10。穿戴+10装备，轻松打败原本打不过的敌人。
方案三更好，因为玩家可以【忽视那件攻击力+2的装备】。  
### 第二类忽视  
对于如下两个例子： 
1.玩家可以殖民其他星球。不过，有的星球质量好（宜居、矿物丰富），有的星球质量差。 
2.玩家可以掠夺资源，大量获得资源；也可以生产资源，获得少量资源。
这些也是忽视：忽视低质量星球，忽视生产资源。

本类忽视有一个特点：忽视之后，被忽视的东西依然存在。（而不像第一类，忽视之后会销毁。）
这个特点可以带来一个高级效果。  
### 高级  
【发现一个新知识是对的】是高兴的。  
【发现一个旧知识是错的】是痛苦的。例如本以为做到某些事情就可以打败BOSS，结果做到但依然失败。  
【发现一个新知识，这个新知识意味着旧知识是错的】是非常高兴的。例如发现一个方法能实现某目的，然后发现过去自己就知道这个方法、只不过过去忽视了它。  

第二类忽视就可以用于构造【未来发现新知识，并且新知识是过去忽视的东西】的情况。 
例如，未来有了某个新需求，只需要使用星球、不在乎宜居与矿物。此时发现低质量星球很有用。
例如，未来其他势力都被消灭，无法再掠夺，此时只能依靠生产资源来获得资源。

第二类忽视还有另一个作用：平滑过渡。
如果是【过去只有宜居星球，玩家可以殖民。未来出现了新的需求，然后开拓新的星域、都是荒芜星球，玩家可以利用这些荒芜星球来实现新需求】，那么这就会很生硬、刻意，会破坏玩家的代入感，仿佛新的星域是为了新的需求而出现的；【先有物质、后有需求】才能让玩家更好代入。
如果是【过去只有掠夺。掠夺的差不多了，玩家才会解锁生产科技】，那么也会很生硬。

利用第二类忽视，就可以避免生硬，使得新需求的增加变得平滑。 利用第二类忽视与平滑过渡，可以塑造一个游戏结构： 链：【需求A，介绍12，利用1，忽视2】【需求B，介绍3，利用2，忽视3】【需求C，介绍4，利用3，忽视4】……
在链结构的基础上，可以塑造高级结构，例如： 网：【需求A，介绍12，利用1，忽视2】【需求B，介绍345，利用23，忽视45】【需求C，介绍67，利用46，忽视57】……  
### 痛苦  
痛苦未必是坏事。游戏中，恰当的痛苦可以让玩家愿意耐下心来学习抽象知识。  
恰当的痛苦，不是指【痛苦程度低】，而是指【痛苦程度相对于沉没成本而言低】。游戏时间越长，沉没成本越高。  
当玩家【发现一个旧知识是错的（不该忽略某事物），并且自己过去游戏经历中几乎一切都基于那个旧知识。如果现在自己不做出补救，那么自己积累的一切都将消失】时，玩家对于【耐心学习如何补救】的接受程度将相当高，即便此时的学习会很抽象、也会耐心认真学。  
（这也是利用游戏来学习数学等需要专注思考的学科的方式。）  

例如：
玩家需要在一个地图上发展一段时间、榨干地图资源后移动到另一个地图上继续发展……。
移动需要消耗燃料。
过去，每个地图上都有燃料，因此玩家只需要准备一次飞行的燃料即可，到新地图再补充燃料。
就这样，十个地图之后，新的地图上没有燃料。
此时玩家就会大脑高速思考、思考如何获得燃料、以避免自己被困死在这个地图上。

注意一点：不要【等到玩家被困死时，再介绍废料合成燃料的复杂方式】，这会生硬、破坏代入感。要【原本就存在一个合成燃料的方式，玩家忽视】。