### 三明治效应
三明治效应：主动批评时，把批评的话放在中间，前后加上赞美，更容易让人接受。
案例：你看到一个女生。
错误：你的粉太厚了。
正确：你今天很漂亮。就是粉有点厚。妆容简单一些会更突出你的自然美。

YesBut法则：受到批评时，在表达反对之前，先表达肯定。
案例：你推销保险，客户说他不会出车祸。
错误：您肯定有出车祸的风险。
正确：是，您这样遵纪守法的人，一辈子都会平平安安的。但不怕一万、就怕万一，万一一场事故让您负债累累，您的孩子辍学打工，您会不会后悔今天没买保险？
### 三明治效应的反例
甲：你今天很漂亮。就是粉有点厚。妆容简单一些会更突出你的自然美。
乙：你要表达什么？
甲：啊？没什么。
乙：别紧张，我不是责怪你。我是说，你的表达有些奇怪、矛盾，让我不知道你的观点是什么。我猜你70%是想表达【粉太厚太明显，不好看，你建议我少打一些粉】，我猜的对吧？
甲：不是，挺好看的，只是少打一些会更好看。
乙：知道了，我猜对了。你不用这么委婉，你直接说【粉太厚，不好看，最好少打一些】就行。你不用担心这会导致我生气，因为我会相信你没有厌恶的意思，并且我会因为它用词的强色彩而迅速get到你的意思，而不至于像委婉表达那样我第一反应莫名其妙、还要思考一下子才能猜到你的意思。

在这个案例中，乙的思维方式是【预测-印证】。甲开口第一句话，乙已经脑海里把甲接下来要说什么猜完了，并且拟好了回复，只等甲说完话后乙直接回复。（猜的是：甲一通夸赞。拟的是：乙说谢谢。）
因此，乙注意力已经放在其他事情上了（比如接下来的工作规划），在甲这边只保留了一个最低分魂，用于判断甲是否说完了（等说完时回复谢谢）、以及判断是否有违背预测的新东西出现。
所以，当甲后面出现建议时，违背了预测，所以导致乙的注意力被重新拉了回来，并且第一反应是困惑、不理解甲要表达的含义；第二反应，重新在脑海里回放了一下甲的发言，咀嚼与思考了一下，才明白甲的意思。

为什么乙会形成【预测-印证】式思维？
第一，读书时【预测-印证】。读书时，先读目录，然后预测全书内容。对于自己有答案但不确定的章节，迅速翻书印证。翻书时一目十行，只当与预测不符时才会慢下来细看。长期大量如此读书。（注：一目十行时更容易关注到强色彩词汇）
第二，多线程工作。经常同时处理两件三件甚至五六件事，甚至，如果只做一件事、且那件事的难度不足以让自己全神贯注的话，那么自己还会难受，需要找点事来多线程做，这样才舒坦。否则心慌，觉得时间荒废了。多线程工作时，通常是【一主多次】，各个【次】只作为监听器、在触发时打断【主】。这种次也被称为分魂，例如：
- 生理行为分魂：例如喝水、吃饭、洗漱，仅当一套动作结束时提醒一下主魂。
- 线下回复分魂：当他人说完话时，提醒主魂回复。
- 线上回复分魂：负责抓住主魂每次空隙、看一眼有没有消息提示。
- 潜意识灵感分魂：主魂办公时，分魂揣着一组问题，尝试与主魂接触到的信息融合。例如主魂写人脑原理文档，分魂想着游戏设计问题，偶尔会结合人脑原理产生游戏设计灵感。
第三，强色彩社群。周围的朋友都喜欢在表达观点时、使用与观点色彩相同且强烈的词汇，例如说难过与天空时、会说【枯黄的天空】、而不是【傍晚】；说建议多穿衣服时、会说【冷死了】、而不是【你开窗户试试温度】。作为修正、为了避免夸张，使用另一套词汇来表达置信程度（L等级），色彩不表达置信程度；默认程度看语境自己感觉，一方对置信程度有质疑时可以提问置信程度，一方觉得对方可能误会自己的置信程度时也要主动表达程度。如此，强色彩会很方便分魂印证理解，且没有缺点（缺点被L等级弥补）。L等级：
- L4：随口一说，不必在意
- L3：严肃表达，你需要的话我可以提供更多理由，你拒绝的话我希望知道你的理由
- L2：原则问题，我认为这是显然的、必须的。如果L2观点有争议，那么必须解决，否则团队危险
- L1：你反对我？你是反人类/反社会，应当被消灭。
### 回头来看正例
甲：你今天很漂亮。
乙：（嗯？他说什么？夸我了！嘿嘿，我确实漂亮）谢谢～（开心）
甲：就是粉有点厚。
乙：（啊？他批评我了？粉厚吃你家大米了？不对，他不是批评我，我不能这么凶。那我接受？也不对。啊我该做什么，再给我几秒时间思考）（面色僵硬）
甲：妆容简单一些会更突出你的自然美。
乙：（哈哈，他就是夸我嘛！我就是自然美！不对，他刚才说我妆不好。不对，他就是觉得我漂亮，开心。可能我妆真的太浓了，淡一点会好）哈哈，真的吗？

括号里是对心理的最简描述。这里面每一句话都缺一不可，这所有心理共同构成了【三明治效应有效】。缺了任何一步，都会导致三明治效应失效；任何一个三明治效应有效的场合，都必然依次存在这所有步骤：（下面的抽象描述可以与上面的括号心理一一对应）
- 存在：被夸的开心
- 存在：面对批评的反击、抑制。支持、抑制。（开篇的夸赞是用于在这里抑制反击）（上文反例是在此步脱轨，面对批评没生成反击）
- 不存在：面对批评时，某个决策被通过。（这里是很多学生用三明治用错的关键：批评阶段持续过久、导致对方通过了某个决策）
- 存在：末尾被夸赞时，开心，丢弃对【如何应对批评】的思考。
- 存在：开心在生效后、接续时被抑制。（注意，不是开心被抑制，是生效后接续时抑制。抑制早了不爽，晚了不可能抑制。本就心情不爽者会早抑制，脱轨，生气）
- 存在：【开心接续时被抑制】被抑制（注意，在生效前被抑制。晚了不可能抑制）
- 存在：考虑接受建议
这些心理过程通过内觉得到（内觉：在安静的环境下闭目呼吸、代入场景、观察脑海中那些一闪而过的念头），并且得到读者的验证：内觉能力较低的读者虽然难以内觉得到这些，但可以在我说出这些后迅速验证这些是对的（验证：判断自己是否产生过这些念头（判断必要性），判断如果产生过这些念头、那么是否会考虑接受建议（判断充分性））。
### 生成判断理论
注意，正例的心理中存在许多【XX想法，抑制】格式的内容。此外还有许多单纯的【XX想法】，那本质是【XX想法，通过】。
这就是生成判断：每帧【生成一个想法，判断是通过还是抑制】。（帧：最小思维时间单位。大约0.1秒到0.00001秒）

问：一般人面对批评时生成反击，本文反例中面对批评时生成困惑，为什么？生成机制是怎样的？
答：因为一般人联想到【过去被批评时，如果承认，那么会受到更大的责罚】。如果一个人从小生活在【每次被批评，承认错误并反思改正，就会获得奖励与周围人的尊敬。自己也会尊敬其他善于反思的人】的环境，那么他面对批评也不会生成反击。
所以，并不是【被批评就生成反击】，而是【被批评，生成承认，否决（联想童年，会被责罚），生成反击，同意】。（否决与同意，等价于抑制与通过）
至于本文反例，则是干脆根本没有从原话中抽象出【这是批评】，而是只抽象出了【这和我预测的不一样】，联想到【过去预测总对】以及【参考过去社群的经验，生成了几种对预测失败的解释，但都无法解释现状】，基于此而生成困惑。（甲是新加入社群的）
生成基于对现状的联想。并且，许多看似是一个生成，本质是大量生成判断，只不过大多数生成的都被迅速否决了，只留下了一个没那么轻松否决的提案、能被80分内觉者观察到。（观察到大量生成判断的，是90分。大量：例如前文说的：被批评时生成承认、困惑前生成几种失败的解释）

问；为什么提前夸赞可以抑制对方对批评的反击？判断机制是怎样的？
答：三次验证。如果没有提前夸赞，那么批评后、生成反击时，会先尝试找理由尝试否决反击。找理由基于联想，如果找的理由都不能否决反击，那么就正式通过反击。
所以，提前夸赞，可以作为一个理由，否决反击。短期记忆高权重，更容易被选中作为三次验证之一。（验证并不必须完成三次。否决了就结束。而且注意力集中时可能验证五次，分心时可能验证一两次，比如一边办公一边说【饺子，帮我把妈端过来呗】就是只验证了【是我要说的名词】。）
另外，【煽动】时可以利用三次验证机制，让演讲者给出观点后依次提出三个质疑并自己解答，这样观众在判断时就会联想到那三个质疑，从而观众认可演讲者。
即，判断，本质是三次【生成一个理由，判断这个理由能否否决这个行为】。生成理由时基于联想，短期记忆的联想权重高。
即，一共有【行为生成器】【理由生成器】【单元判断器】，后两者共同构成判断器。

问：为什么是三次判断？为什么注意力影响判断次数？
答：数之不清为三。一个可以持恒，两个可以震荡，三个会在三元震荡中丢失，因此三个被认为是足够了。
持恒/震荡时，会认为【数得清楚，太少了，不足以证明我考虑充分了】。（注意：此处的【认为】发生在0.001秒内。而通常人们想到的【我认为】发生在0.1秒左右。）即，并非连续生成三个理由，而是【生成理由1，不行，生成充分，不充分，生成理由2，不行，生成充分，不充分，生成理由3，不行，生成充分，是】。
当分心时，二元震荡也会丢失。当专注时，四元震荡都能稳住。这是本问的答案。
三元丢失：ABCBC
二元丢失：ABABBBBB
### 总结
许多心理学理论，对大多数人有效，而不是对所有人有效。我会将它拆解为一个所有人都满足的先天机制、加上大多数人拥有的后天经历与状态。
三明治效应就是这种对大多数人有效的心理学理论。在本文中，它被拆解为生成判断机制、加上大多数人依次满足这个序列的每一项：
- 存在：被夸的开心。
- 存在：面对批评的反击、抑制。支持、抑制。
- 不存在：面对批评时，某个决策被通过。
- 存在：末尾被夸赞时，开心，丢弃对【如何应对批评】的思考。
- 存在：开心在生效后、接续时被抑制。
- 存在：【开心接续时被抑制】被抑制。
- 存在：考虑接受建议。
生成基于联想，判断基于三次理由生成与验证。