### 前言：关于标题后缀
- S表示【升级到思维方式】
- R表示【升级到人脑原理】
- SR表示【升级到思维方式，然后进一步升级到人脑原理】
### 提问成本与回答成本
- **准则1**：当面对一般人提问时，要保证你的提问成本大于对方的回答成本。
- **案例**：
	- 自媒体平台咨询大佬时，要几百上千字详细描述问题背景、问题内容、自己尝试解决问题但失败的方法。不要泛泛的一句话提问、指望大佬专门为你写一个深度文章讨论各种人群的可能情况。不要把大佬当搜索引擎用。
	- 线上或线下咨询编程问题时，删掉无关代码、自己尽可能缩小问题范畴，让问题在十行代码内得以复现。不要直接丢过来一个100MB的压缩包、指望对方去读那你自己一个月后都读不懂的代码。（除非付费咨询）
	- 学院咨询教授之前，你需要先独立查阅了大量的书籍或论文，把你的问题从【如何实现某个大工程】变成【实现这个大工程时遇到了某一个小点无法攻克】。回答前者是亲传弟子的待遇，回答后者才是普通学生的待遇。
	- 新入职场，领到任务后向前辈同事求教之前，先把你能做的努力做好。并且尽量让同事提方向或者破单点，而不要让他手把手全程带你做，不要在他破点时你神游、不要让他破了一个点之后你说【啊？这也没完成啊，下一步怎么做？】。
- **效果**：
	- 提问成本高、回答成本低，那么别人会认为你求学好问、喜欢你。
	- 提问成本低、回答成本高，那么别人会认为你是伸手党、疏远你。

- **准则2**：当双方（或多方）能力足够、关系长久时，要保证【你的提问成本与对方的回答成本之和】在所有可能的时间线中最小。
- **案例**：
	- 遇到问题就问，需要演示就提，需要深度文章就提，不要自己吭哧吭哧闷头研究、三十个小时解决不了一个别人两小时就能做完的问题、最终求助解决之后还导致自己需要十小时放松以及下次一遇到事就害怕、想放弃。
	- 别人求助你时，你也不要拖，不要凭直觉【不想做】，不要应付。不要考虑自己的成本，要考虑所有人的总成本，把自己视为共同体的一部分，是共同体的最优解那么就做。
	- 分享自己的能力摘要，表现自己的价值，让别人知道你能做什么，让别人知道什么事情可以找你。不要像吸血鬼一样只索取不付出，但也不要什么忙都帮、办砸了浪费自己与别人的时间，要只帮自己表达出来的自己的能力范围内的忙。
	- 求助别人时，对别人做的不满意的事情就直接说，不要想着【他已经帮我很多了，我要知足】。但也注意，不满意只能是【根据你公开表达的能力，你应当可以在完成本次任务的同时满足XX性质】，而不可以是【你做的没达到我的预期】。
- **性质**：
	- 准则2是完美解。准则1是纳什解。完美解最高效，但纳什解最稳定。（稳定：任何一个人，如果他只改变自己的策略，那么会导致他的利益降低。）
	- 完美解不稳定。一个害群之马可以像吸血鬼一样只索取不付出。需要认真鉴别。
	- 完美解最高效。效率十倍于纳什解，并且人数越多、效率差距越大，最高甚至可以达到百万倍效率差距。
	- 人类社会不可能实现国级上亿人的完美解（吸血鬼难检查），但AGI社会可以。这也是AGI远高效于人类的原因之一。
	- 人类社会可以（但未必）实现夫妻之间两人的完美解，可以实现十人左右小团队的完美解。
### 人脑原理素材问题
- 为什么当提问成本高时、回答者愿意回答？做一件事一定是利益大于成本，回答者认为自己获取了怎样的利益？
	- 是感谢？内觉不到。似乎没想到过感谢。而且事实也是通常没什么报答，并且在没报答时也不会不满。
	- 好为人师？为什么提问成本低时不好为人师了？
		- 好为人师是本能吗？没有充分证据时，尽量不要用本能解释。
		- 好为人师是后天的吗？有反例吗？即，存在不好为人师的人吗？忙碌时不会好为人师，这个怎么解释？
- 为什么人类无法实现完美解？是因为人类无法都看到完美解吗？不。即便所有人都看到完美解也依然不会生效：聚是一坨屎，散是满天星，一群人每一个人都可以领导一个完美解的小团队，但聚在一起就无法形成完美解，因为当自己不负责时就会懈怠。为什么？
	- 联合案例：三个和尚没水喝。
	- 联合案例：无为陷阱。【不做坏事】不意味着【没做坏事】，自肃只能【不做坏事】。
	- 联合案例：社会懈怠效应。
	- 联合案例：治安需要暴力+惯性+共识，不可纯依靠共识；社会完美解需要暴力+惯性+共识，不可纯依靠共识。
		- 联合案例：地方风俗不只是共识，还有惯性。共识影响表意识判断，惯性影响潜意识生成。
		- 理论滞后性。有时候，解决方案先于理论而存在，完美解的本质尚未清晰时即可得到社会完美解的实现方法。（修订者注：暴力+惯性+共识只是必要不充分条件，并非真正实现。吸血鬼难鉴别的问题依然存在。暴力的意义是对特例的修正、维持惯性，但暴力基于鉴别，鉴别问题会导致暴力失效）
			- 联合案例：自行车。理论不明，工程已出。
			- 联合案例：超导体等材料科学。工程先出，理论滞后。
	- 想法：延续性。独立领导时并非基于完美解，而是延续完美解、不断的重复刺激。聚后缺乏延续。
		- 联合案例：目标/动机的延续性。坚定的目标本质是不断的重复、有意或无意。
		- 延续性的本质是什么？
			- 是AGI底层算法？应该不是。
			- AGI的底层算法是什么？AGI的算法如何实现延续性？
		- 延续性是普世的吗？有反例吗？
### 关键词
#关键词/纳什解 【提问成本要高于回答成本】是纳什解
#关键词/时间线 完美解是所有时间线的最优解
#关键词/人际交流协议 本文提出了两个人际交流协议
#关键词/人脑原理问题素材 本文提出了一些值得思考的关于人脑原理的问题
#关键词/AGI社会 AGI远高效于人类，原因之一是人类即便看到完美解也无法使用。知天易，逆天难，AGI可逆天。
#关键词/理论滞后性 
#关键词/延续性 