### 三级信息的定义
一级信息：严肃表达，以让读者看懂为目的。读者包括未来的自己。其他人需要阅读。（文章、话题、会议，都为一级）
二级信息：非严肃表达，自言自语，可能后续自己整理为一级信息。其他人可看可不看。
三级信息：其他人必须视为没看到。即：
- 不可以对三级信息提问
- 不可以评论三级信息
- 不可以将三级信息作为其他观点的理由或证据
- 不可以引用三级信息来批评他人的当下行为
- 不可以针对他人的言行与三级信息矛盾而提出质疑
- 不可以用眼神或“你懂”来以暗示的方式引用三级信息
- 不可以以任何形式在发言中被他人确认你引用了三级信息
- 只允许【基于A而得到X、基于三级信息中的B而佐证X、不表达B、只表达A与X】
即，三级信息只用于【在你犹豫要不要说某句话时，帮你坚定信心】，不可以用于【帮你想到要说某句话】。（注意，这里并不是说要隐藏真实原因B、说谎A。这里A本身需要足够强，B只是锦上添花，A就是真实的核心原因。）
### 哪些信息应当被写在三级信息中？
首先，你的隐私日记。
二级信息的日记可以被他人查阅与讨论。这会导致你在写二级日记的时候的写作方式与【你在自己的隐私日记本上写日记】的方式不太一样。
那些你不愿在二级日记中写的，就在三级写。

然后，一些拧巴的想法中的一侧。
什么叫拧巴？同时持有互相矛盾的两个想法。一侧就是其中一个想法。
- 极简例子：太阳是红色的。太阳是绿色的。
- 正常例子：你是我最好的朋友。你是我最坏的敌人。
这种拧巴会导致【我表现出的想法是A，但我内心的想法是与之矛盾的B，但你问我B的话我不会承认】。例如：
- 你来找我聊天，我说你别来烦我（A），但我内心渴望与你交流（B），但你问我是否喜欢跟你聊天的话我不会承认。
- 在合适的氛围下，你做出一些冒犯的举动，我推开并轻声拒绝（A），但我内心渴望你继续坚持（B），但你问我是否希望你坚持的话我不会承认。
如此，就可以在三级信息中写：
- 孤独，无聊。好希望有人能说说话。
- XXX怎么这么蠢！我推开他他就走了？
### 三级信息的错误用法
（AB是两个人）
- A：（找B聊天，提问一个简单问题）
- B：这种简单问题自己谷歌。
- A：麻烦。
- B：你来问我，我不麻烦？
- A：你三级信息里不是说了你希望找人聊天吗？我过来找你聊天，你就这态度？
- B：L3评价降低。三级信息禁止引用。
B希望的不是聊天，而是以B喜欢的方式聊天。至于B喜欢的是什么，B自己也没有自我认知到。并且B目前的交流需求优先级不高，因此B没有去专注自我认知。
在此情境下，A如果想实现B的交流需求，那么能做的只有等待（零向）、猜测（单向）、提问（双向）。
- 等待：当B的交流需求强时，B会做自我认知并写为一级信息。
- 猜测：尝试去猜B的真实想法，去使用各种尝试去试探。例如：
	- A：（找B聊天，提问一个简单问题）
	- B：这种简单问题自己谷歌。
	- A：好
	- （A去搜索，解决）
	- A：解决了。是XXX对吧？
	- B：嗯。
	- A：但我又遇到了一个问题……（换一个更高深的问题来问B）
	- B：（正常回答）
	- A：（追问）
	- B：我在忙，你一次性描述完毕之后以文档形式预测式提问。（注：预测式提问：提问的同时预测一些答案）
	- A：好。
	- （A心理：又失败了）
	- A：最近在忙什么？有什么我可以帮忙的吗？看你的日志，你似乎时间主要在做XXXX？
	- B：（话匣子打开）
	- （A心理：成功！）
- 提问：以其他名义，问B的诉求。例如公司内例行一对一询问满意与不满之处，此时B可能主动自我认知并一级表达孤独的问题。
### 三级信息就是求助吗？
完全错误。
首先，二级信息与三级信息都是【可以不看】的。不可以默认你的三级信息被他人看到。要被看的话写一级信息。
基于此，不可以在二级或三级信息里有期望地求助，要求助也只能是无期望的求助。
- 有期望求助：我遇到XX问题，希望你帮我。
- 有期望求助后否决：我遇到XX问题，希望你帮我。算了，你不可能帮我，我不该找你。
- 无期望求助：我遇到XX问题，我先自己处理，现在还不需要你帮我。但如果你愿意帮忙，那么我也欢迎。

然后，三级信息中不仅【无期望求助】，还有一些其他的拧巴心态。
无期望求助，本质是【我希望你做X，但我不承认】。
其他的，例如【我希望你不要做X，但我不承认】，即【我厌恶你做的X，但我不承认】。
比如最常见的：员工对领导的不满。领导一拍脑袋布置了一个离谱的任务，员工夸领导明智的设计，然后在三级信息里骂领导傻逼。领导如果问员工看法，那么员工绝不会表达出任何不满。领导说【你可以说不满，我不会生气】，员工也说没有不满。此时领导不可以说【别装了，有话就说，不要藏着掖着】，因为这违背了三级信息准则中的【不可以以任何形式在发言中被他人确认你引用了三级信息】、会导致员工不想写三级信息了，董事会要对这个领导做出L3批评、第二次犯此错则L2批评。

此外，除了隐私日记、拧巴心态之外，还有一类是三级信息中会写的，那就是【自己生成、但会否决的想法】。否决过程通常不会写在三级信息里，只有生成的会写。
例如发一些牢骚，自己知道那是不对的。
再比如一些迁怒，T被A惹生气之后，B犯了一点小错、就对B有极大的不满并构思与扬言惩罚（并写到三级信息）。但往往几秒后就会自我否决，觉得自己刚才的想法很可笑与愚蠢（这一段不会写到三级信息，因为懒得写）。C不要因此而认为T蠢与坏。T这种幻觉的增多通常是因为压力较大。如果C担忧自己犯小错时被严厉惩罚的话，那么C可以找T谈话，但谈话中不能引用三级信息。即，如下发言都是错误的：
- C：如果我犯了X错误（B的错误），那么你会Y惩罚吗？（三级信息中的惩罚）（错误原因：引用三级信息）
- C：如果我犯了X错误，那么你会怎么做？（错误原因：你没理由问这个问题，除非看过三级信息）
- C：你怎么看待B的X错误？T：人之常情，下次改正即可。C：你不觉得他XXXX十恶不赦吗？T：不啊，为什么要那样？你那样觉得吗？C：我不觉得。（错误原因：C没理由问第二句话，除非C自己觉得、或者C看过三级信息。而C第三句否决了自己觉得，只剩下C看过三级信息）（另外注意：如果C不觉得、但为了避免暴露三级信息而硬说自己觉得B十恶不赦，那么后续C几乎必然也会暴露出【C不觉得B十恶不赦】，这会导致两个L3记过：三级信息、说谎）
- T：你做XXX。C：不。T：为什么？C：我担心我工作过程中犯了XX小错之后你说我十恶不赦。（错误原因：C没理由这个担心，除非看过三级信息）
正确的对话过程例如：
- C：你怎么看待B的X错误？
- T：人之常情，下次改正即可。
- C：嗯。我也这样觉得。新问题：你对B这个人怎么看？
- T：（看法）
- C：你对我怎么看？
- T：（看法）。你对我怎么看？
- C：正好我也想说。（看法）
### 二三级信息书写成本较高，不想写怎么办？
这是一个大问题，涉及到灵感记录、日志反思等习惯。在【L4成员规范：灵感记录】里会进一步讨论这件事。
### 修订者注
L3规范：不可引用三级信息。
L4规范：建议书写二三级信息。