### 目的感
目的感，是指行动以目的为导向、而不以过程为导向。
例如，目的是泡面不能断货，现在断货了，你不要解释说【网购了还没送到】。
吃光了才网购？你不会提前买吗？早干什么去了？而且你不会线下买吗？
没有目的感的人，会认为自己要做的是过程：网购。因为买其他东西都是网购，所以有经验与惯性思维。
有目的感的人，会意识到自己要做的是目的：不断货。如果网购这个过程无法实现这个目的，那么就换一个过程。
### 判定
什么样的人是有目的感的？
赞同本文的人？不。
大多数智力正常的人都会赞同本文，但其中依然有大量的人没有目的感。他们看完文章之后觉得有道理，然后转头就忘，并不会学以致用。
觉得本文莫名其妙，觉得【这不显然的吗？这也配值得写一个文章？世界上难道还存在没有目的感的人吗？我有目的感，而且我一直以为正常人都有目的感，这跟读书写字一样、是一个基本得不能再基本的基本功】的人，这才是有目的感的人。

即，社招面试时，在介绍完目的感之后，应当问应聘者的看法，给出如下选项：
A：这不显然的吗？我一直以为正常人都有目的感，这跟读书写字一样、是一个基本得不能再基本的基本功。世界上难道还存在没有目的感的人吗？
B：有道理，学到了。我会尽力去做到目的感。
C：我不理解你说的目的感。但在上面的例子中，我不会网购，我会直接线下购买泡面。
D：你给出的目的就对吗？断货一天怎么了？一天不吃泡面会死吗？
选A的合格。选BCD的都淘汰。
（注：本节只限于社会招聘、劳动合同。不适用于学员、长期合作关系。）
### 升华：超目的感
超目的感，是目的感的高阶形态，在于【自己给自己布置任务】，即【自己基于原始目的，给自己布置任务】。
超目的感的关键，在于通过他人的只言片语，自己还原出自己要实现的最深层的原始目的。
比如，假设别人给你布置了如下工作：
- 保证泡面不要断货
- 跑腿取快递
- 拖地
- 收纳规整办公区其他人的杂物，并在报告里写清什么东西放在哪里了、避免大家找不到东西
- 收集大家的意见反馈
- 心思细腻，察觉他人的深层想法，并适时夸赞他人
那么你要自己还原出原始目的：
- 让他人可以专心工作，无需为生活琐事而分心。（代劳琐事）
- 让他人可以忍受疲惫，不会因环境太差而崩溃。（打理环境）
- 让他人不会胡思乱想，心情充实、舒畅、满足。（聊天夸赞）
然后基于这个原始目的，你自己给自己安排工作，主动做许多事情来实现它们。
如果你能做到这一点，那么你具备超目的感，将是不可多得的人才，升职加薪板上钉钉。只要公司有岗位，那么你立刻升任后勤主管；并且你要是不喜欢后勤部的话，随时可以调整到其他部门做主管。
（注：本节只限于宽容性组织。不适用于严格追责性组织，尤其是公务员系统。）
### 后勤之外
不只是后勤部。一切部门的员工与主管都需要目的感与超目的感。
比如，运维部，你们的目的是保障服务器稳定运行，而不只是【在服务器崩的时候去维修】。维修只是过程。服务器崩了24小时还没修好，问你情况、你说这次问题难修——难修就先别修啊！想办法让服务器跑起来，比如重启、换备份服务器、回退版本、等等等等过程都可以。你的目的是保障服务器能运行，不要死扣在维修服务器上！
再比如，产品部，你们的目的是做出来好用的产品，而不只是【分配与执行CEO布置的技术任务】。你们要会自己主动找客服部去了解用户反馈，明确用户对产品的不满之处，自己给自己布置任务、并提交CEO审核通过后分配与执行。当产品部长没有这个意识的时候，任何一个技术人员只要有这种超目的感，那么立刻升任产品部长。

有人说：如果我是产品部长，那么我不会主动调查用户不满之处，但如果CEO要求我去调查与自己布置任务，那么我可以这样执行。我认为这样就够了，我可以作为一个合格的产品部长。
对此：不够，不合格。CEO管理很多事情，总会有疏忽，这些疏忽必须由各部门部长的超目的感来解决，不能要求CEO全部明说。比如可以预见：如果我让你上任，那么当我过去说本次版本更新ABCDEFG功能、然后你做到ABC时我说插入一个新任务X并说【做完X之后带ABC立刻发布新版本】，然后你做完X之后把ABCX打包提交给测试部测试、然后测试部对任务ABC反馈了一些bug时，你会让大家开始返修这些bug。对吧？如果对，那么不合格。这里ABC出bug时，你该做的是不要带ABC了，直接发布一个只包含X的新版本；或者，如果你担心自作主张做错背锅的话，那么你就来问我【现在ABC有小bug，但X没问题，要不要直接发布X？】，而不是默默去修ABC的bug导致我过来追问【怎么两天了还没发布X】。因为你要意识到我的目的是【我很着急要X】，而不是单纯的【本次更新ABCX】。
### 本质
目的感本质是分析能力。步骤如下：
问题：我要做什么？
标准化：已知我的目的是A，已知我的现状是B，求我现在要做的行为C、使得B+C=A。
补充：我的目的A是什么？我的现状B是什么？
此即为目的感。（同时还得到另一个重要的能力：明确现状的能力，以简洁的语言概括每日的状况）
### 评论
潮信：
对于那个面试题，如果我回答，那么会是A。
补充一些具备【目的感】的人的可能其它表现：
1.多线能力。在熟悉的领域有清晰的自我认知。对任何感兴趣的事物都可以进行留档、提炼、融合，构建多任务体系。始终有事可做，记忆库维持数十个思考状态，几十个留档任务。时间永远不够，希望每天行动时间翻倍。
2.内觉能力。基于1，具备基于情绪的思考能力。能在熟悉领域中捕捉微小情绪变化，进一步扩展信息、构造案例、解释原因。
3.持续思考。思考永不停止，千里未来表达过【即使吃饭时，也能思考大米蕴含哪些所需能量】的观点，两者的表现是类似的。可以低成本进入时刻思考的状态，或者说没必要根本不会退出。思考，推演，内省不断进行，时刻自我思考充分，尽力保持在认知边界。进步速度快，遇到无法解释的情况时能获得大量反馈。
-2和3结合，使得人即使不主动维持，也能下意识保持时刻思考的状态。因为如果行为偏离了主线，那么会被细微的情绪刺激惊醒，从而回归思考的状态。如果没有外界施加足够的影响，那么时刻思考将成为一种本能。
4.理解能力。学习时以除法式理解，关注【某人会如何学会某知识】，并以此通过抽象与偏移，实现倒推解释，最终教会自己。或者说思考的最小单位是理解，将【某人理解某种知识的状态】保留为一个单位。进一步的，各状态被保留并用于对比，以思考不同状态、不同知识之间的差异与联系。常见思考路径如：“如果我不表达某信息，对方将无法理解X，那么此刻他处于什么状态？X的本质是什么？还有哪些方式能教会对方X？”
与他人对话时，不理解字面含义，而是判断【某人基于X，会表达Y】，模拟对方的反应。
5.内省能力。默认带有【如果我没有信息X，那么我会思考什么】以及【理论上我应该做什么】的思想。思考以情绪为单位，对同一个对象可以留有两三种不同的情绪记忆，根据需要进行切换，且全部已推进到自我认知的极限。