### 原始案例
匿名：我计划做X。
执悲：建议你做Y。因为XX。
匿名：反对。因为XX。
执悲：反对。因为XX。
匿名：L3不满。你发言总是把话说得很满，经常使用【必然】【完美】，但我的经验表明，听你的则必然失败。我不想跟你说话了。
执悲：你不要听我的结论，你要听我的理由，理解理由之后按自己的理解去随机应变。我说要消除饥饿的话必然要吃饭，你抓起一把生米就放嘴里，你应该去理解并随机应变。我结论中的【满】不意味着让你看结论，它只有两个作用：
- 第一，属于强色彩，便于多线程工作。详情见于[[三明治效应与多线程工作法则]]。
- 第二，属于【我必胜、到你讲】，符合最高效的辩论格式。见于[[【小说工程】写作天赋：预见能力]]。更进一步的注释见于下一节。
### 注释：我必胜、到你讲
首先，在小说中，需要使用【主角必胜】【反派必胜】【主角必胜】【反派必胜】 的循环。例如：
错误：恐怖怪物，主角攻击，怪物受伤逃跑，主角追击，怪物重伤要死，主角斩杀，怪物死了。
正确：恐怖怪物，主角攻击，怪物躲避反击，主角硬碰，怪物受伤大招，主角大招，击杀怪物。
这里的正确，就是【反派必胜】【主角必胜】【反派必胜】【主角必胜】【反派必胜】 【主角必胜】。
习题：对如下错误节奏进行修改：反派嚣张，主角大骂，反派颤抖，主角嘲讽，反派道歉，主角攻击，反派求饶。

然后，在辩论中，也是【我必胜】【你必胜】【我必胜】【你必胜】的循环。通常两层就够了，例如：
- 我：我们的XX成本太高了，建议使用XX办法来降低。（我必胜）
- 你：我们的XX成本不高。你在财报里看到的是三个月的总成本，不是本月的。（你必胜）
- 我：知道了。本提议撤销。
上面的是简单事实反驳。下面演示复杂事实反驳：
- 我：要学英语，你需要在生活中与人交流，例如英文联机游戏。不要死读书。（我必胜）
- 你：英语生活交流的前提是能使用中文与陌生中国人交流，我做不到这一点，需要先学如何搭讪、成本高；或者有熟人擅长英语，我也没有。因此我最好的办法就是读书。（你必胜）
- 我：知道了。本提议撤销。
如果双方都能准确认知对方的理由、并且认知自己反对的理由并表达清楚，那么这样【必胜循环】的讨论是最高效的。
但如果一方无法做到准确认知，那么就容易陷入【我觉得你说的不对，但我不知道如何反驳】的境地，然后经常如此就会累计L2不满。

问：反驳只能是事实反驳吗？
答：还有逻辑反驳。但轲目苦津里不至于有人犯逻辑错误。难点只在于复杂事实反驳，即在于自我认知。
### 提问：为什么不谦逊？
首先，我不喜欢别人谦逊。一个人如果给我提建议时说【我也不确定这个建议对不对】，那么我会想【你自己都不确定的垃圾玩意交给我干什么？耽误我时间？你要是缺信息的话就去阅读与提问，要是不缺信息的话就自己去优化到极致之后再给我看】。
然后，我也不喜欢别人自满。一个人如果给我提建议时说【我这个建议必然正确，你不采纳你就是愚蠢至极】，那么我也会生气。
但是，我希望别人表达【我这个建议我已经优化到极致了，我找不出来毛病，我认为逻辑很完美了、事实也看不出问题。到你讲，你可以指出我的逻辑或事实错误，或者采纳】。这个表达可以简化为【我认为，要实现X目的，必然需要Y方法，因为Z过程。你觉得呢？】。

注意，有的人在使用这个简化时，会带有另一种含义，导致对话为：
- A：要实现X目的，必然需要Y方法，因为Z过程。
- B：事实错误，XX不对
- A：即便XX不对，你依然需要Y，因为XXXX
- B：你这是另一个话题了。对于这个新话题，你的观点我依然反对，XX逻辑错误（注：原始提议往往没有逻辑错误，但这种中途开新话题的时候往往会出现逻辑错误）
- A：即便这样，你依然需要Y
这是非常糟糕的对话，这里的A第一句话的含义并非【我优化到极致了，到你讲】，而是【我就是对的，我没有错】。
发言时不该持有【我就是对的，我没有错】的心态。
### 快人一步是先驱，快人两步是先烈
前文可见，提议时一共有三个境界：
第一重：自满。我的观点是XXX。这个观点没错。
第二重：谦虚。我的观点是XXX。这个观点可能有错。
第三重：回合。我的观点是XXX，理由是XXX。我检查不出来有什么错，但你可以指出我的错误。到你讲。
当代，绝大多数人在第一重。此时，第二重的做法是好的。
未来，当多数人在第二重时，第三重的做法是好的。
但在当代，如果使用第三重，那么很容易被误会为第一重。

这种误会有时候还会引起一些连锁的反应，例如无限证明：
- A：建议你做X，因为Y。
- B：反对，因为XX。
- A：反对，因为XX。
- B：我做不了！做不了！@@#%$%&##!%（一大坨糅杂着信息与情绪的发言）！
- A：哦，知道了，本提议撤销。
- B：你为什么让我做X？你为什么不相信XXX？@@#%$%&##!%！
- A：我相信。
- B：你就是XXX（贬义）！你为什么XXX？你为什么XXX？你就是XXX！
- A：我说了，我现在理解了。
- B：你不理解！你不理解！你让我做X！
- A：我说了，我不让你做X了。
- B：你是因为我发疯而妥协的！你不理解！
- A：第一，我从不妥协。第二，我理解，你因XX而不该做X。
- B：我无法理解。你就是XXX！
B无法理解A的突然转变。因为第一重的人是不会轻易转变观点的。（而第三重会）

轲目苦津应当是一个怎样的组织？
- 世俗：第二重。第二重通用性强，但损失交流的效率与价值，上限低，大量时间浪费在各种形式主义问题上，人们为了不背锅而故意发言含糊，各部门隔着厚厚的屏障。当代官场与大厂普遍如此。
- 圣地：第三重。第三重效率完美，但不适合面对社招的人。当代社会上人们普遍在第一重，年薪百万以上的非技术人员普遍在第二重。要么社招海选筛出来达标的，要么招年薪百万的精英。
很多人可能希望是第二重。第二重短期来看性价比是最高的。
但轲目苦津必须是第三重。即便这是一条艰难的路。
即，【有自我认知能力，不会“无法反驳但不赞同”】必须是L2标准。

轲目苦津五平等，话语权平等的核心需要建立在能力平等之上，而能力中【自我认知能力】与【学习能力】是关键。自我认知能力所衍生的【不会无法反驳但不赞同】是决议的基础，它可以实现【只有极少数时候需要硬决议】，毕竟每一次硬决议都是团队的一个裂隙。
- 硬决议：投票通过，强制执行。
- 软决议：全员同意。或者，投票通过后，反对者被说服。
传统公司可以有大量硬决议，因为他们不基于对人品的信任，只基于对利益的信任。所以不在乎情感上的裂隙，只在乎合同。

问：如果极少硬决议，那么是否意味着话语权平等就是摆设？
答：不。首先，极少不等于没有，它如同核弹一样是一个威慑，大家可以都不用，但大家知道有这个东西可以用，基于此而安心、面对不公时有反击能力。
然后，软决议中的【投票通过后，反对者被说服】，这个说服过程中也受到平权影响，参考多方意见。如果不平权，那么反对者往往不会听别人的意见，只会与掌权者讨论。