### 定义
静：喜欢在安静的环境专注地工作，适合科研与攻坚，能够独立负责一个跨越数日乃至数月的大项目，无人督促也能有始有终。不喜欢着急忙慌地做事。
动：喜欢在热闹的环境工作，需要他人的督促与反馈，喜欢着急忙慌地做事、越急效率越高。不喜欢安静与无人督促，无人督促就会觉得事情不重要、然后懈怠与遗忘。
### 动之缺陷
- 执行大任务时，虎头蛇尾，甚至根本不完成大任务。没完成任务时不提前通知、不解释，在面对批评时找各种借口（大任务：单任务十天以上）
- 执行非响应式的永续任务时，工作时间越长、各种差错越多（永续任务：长期承担某职责。非响应式：职责不为【当别人对你说XX时你做XX】，而是例如【主动观察别人的行为，当别人A对B说XX时你做XX】）
- 需要他人监督、督促
- 需要频繁交流，需要感受到被重视。为了说话而说话（而静者希望只在对工作有歧义等必要时候才交流）
- 需要奖惩考核，任务需要明确而强烈的奖励与惩罚、才能有深刻印象并启动反思（而静者天然反思，不喜欢奖惩考核、认为许多错误是难以量化与预测的，要对合理的错误宽容，并且也不需要量化的奖励、只需要内心的感谢，无言则默认感谢）
### 心灵本质
静：永远默认自己是重要的，除非外界批评表明自己很差、才会短暂地自我怀疑。对于自己做的不错的工作，永远默认自己的付出被他人所看到，除非他人明确否认自己过去的付出（且此时自己会有巨大不满）。
动：永远默认自己是不重要的，除非外界刺激表明自己重要、才会短暂地自信。对于自己做的不错的工作，永远默认自己的付出被他人所无视，除非外界明示赞扬与认可。
### 经历本质
静：想的多。童年喜欢发呆，思维活跃。会想象未来，会想象环境中其他人的行为。内心构建了一个世界，基于那个世界来行动，基于现实的信息来调整自己内心的构建。不断如此经历，不断强化。
动：童年热闹，没有发呆时间，因此没有构建过自己的世界，只基于外界反馈做事。熟悉这个模式之后更是没理由发呆，即便闲下来也不会去发呆、而是会让自己动起来去找事做。
### 由动而静
动者要改为静，首先要学会发呆与构建内心世界。
第一阶段：基础冥想。每天闭眼五分钟，播放轻音乐，双手捏压力球（什么都不动的话难受，因此捏球来消除难受）。持续三天。
第二阶段：进阶冥想。冥想时间调整为二十分钟，冥想前书写一个昨天的人际交流的烦恼，冥想时思考形如【对方会如何看待这个事】【如果对方没做XX，那么我会怎么看待这个事】【如果某人穿越到我身上，那么他会怎么看待这个事】【如果我做了XX，那么对方会怎样】【如果对方做了XX，那么我要怎么做】的问题。并在冥想后对于你拿不准或你认为对方恶意的地方，去找对方提问求证，提问格式例如【你是不是认为XXX】【如果我XX，那么你是不是会XXX】。
第三阶段：世界冥想。每三到七天一次一小时的冥想，深度推演【如果我做A，那么他们做B，然后我C，然后他们D……】。（注意：必须第二阶段稳定后。否则这一步可能偏差极大）
第四阶段：推演降临。自己考虑要不要做一件事A之前，先推演清楚BCDEFG等后续时间线，确认没问题后再决定做A。即，自己构建出对他人的认知模型，按自己的构建来做事；当他人的实际行为违背推演时，调整自己对他人的认知模型。
习惯第四阶段后，就完成静了。（或状态之一为静。状态：例如，一个人对陌生人冷漠、对熟人热情，那么就称他有【冷】【热】两个状态。）
### 轲目苦津
核心成员要么静，要么状态之一为静。
动者只能作为员工。
（注：核心成员之间，话语权平等，经济平等，拿分成。员工拿工资。）
### FAQ
问：动者就没什么优点吗？
答：有。比如，生成判断能力强，灵感多，在足够强的需求与重视之下、重压之下可能爆发潜能（静者越急越差、重压之下直接崩溃），适合承接突击工作。
但那又如何？我们完全可以雇佣员工来承接突击工作。
静者必须比动者地位高。一个组织，如果动者与静者平级合作，那么会让所有静者非常难受、认知失调、记忆污染、无法工作；如果动者比静者地位高，那么静者会直接辞职。
动者无法通过奖惩来约束静者，但静者可以通过奖惩约束动者。因此动者与静者之间只存在三个稳态：
- 静者是领导，动者是员工（或中低层领导），奖惩约束
- 动者是领导，静者是员工，但领导对员工基本放养（参考：许多大厂的程序员办公室门上都贴有【禁止打扰】【如果他们做了奇怪的事情，那么大家宽容】，并且可以看到还有的程序员蹲在桌子上等迷惑行为）
- 动者是领导，静者是员工，静者有重大金钱需求（例如房贷车贷加孩子，妻子无业，全家就指望着这份工资）
后两种对轲目苦津不成立，因此轲目苦津里动者只能作为员工。

问：静者就没什么缺陷吗？
答：也有，比如静者要求【自己构建出对他人的认知模型，按自己的构建来做事；当他人的实际行为违背推演时，调整自己对他人的认知模型】，但也有不少静者做不到后半句，即，当他人的实际行为违背推演时，直接生气。
正常来说，当他人的行为违背推演、且违背原则时，自己可以生气（比如推演他人静、实际他人动）。但会有一些在静上走的太深的人视为【一切违背推演的都违背原则】，这不好。

问：本文标题的神性是什么意思？（修订者注：原标题为《神性：静》）
答：即轲目苦津成员规范。
轲目苦津是一个平等组织：话语权平等，经济平等，信息平等，风险平等。但生物人很难构建出一个方案来实现稳定的平等。
主要原因是：生物人太复杂了。因此需要用某种规范来取生物人的一个子集、设计出只对这个子集有效的稳定平等制度。
一个简单的子集规范是：理性。
但后来我发现这不够，至少还需要：工作能力平等（或学习能力80分以上），自我认知能力满分。
但后来我发现这还不够，还需要很多其他条件，例如本文的【静】。
因此，我将这些条件统称为【神性】，取自对【全知、全能、永恒】的降阶。
- 全知：降阶为【信息平等】【自我认知能力满分】。
- 全能：降阶为【工作能力平等】【学习能力80分以上】。
- 永恒：降阶为【知行合一、始终如一】【理性控制自己，不情绪化】【静：现在的承诺在未来将永恒生效、无需督促】。
一个由神性者构建的组织，才可以设计出稳定的平等制度。（具体制度还在设计中）
### 评论
一一：
静的描述中，【内心构建了一个世界，基于那个世界来行动】，很对。并且，如果受到很多外界干扰、以至于这个世界无法被本人觉察到，那么就会很烦躁，需要自己独处一段时间，重新感知那个世界，从而达到内心的平静。
静的人会想象未来，想象未来和别人见面可能会发生什么以及想象发生后应该做出的反应。

沈伊利：
我过去是动的，如今是静的。
我认为，所谓静与动的差异，本质是是否掌握四维时空法的差异。
四维时空法：从时间上规划自己的未来行为。不将近期的十秒内的自己看做自己，而是将自己从生到死所有时间切片上的自己都看作自己的一部分。如此，跨越时间，在前后时间上和自己的未来和过去通信（通过文字、日记、回顾、和计划表），从而跨越时间让自己成百上千个分身一同干同一件事，如此工作效率远远高于不理解【四维时空】的人。

浊浪逝风：
基本认可，但定义不美。重定义：
对于如下两个方案：
1. 俩人各自做一个软件
2. 俩人先一起做第一个软件，再一起做第二个软件
静：1高效，2低效
动：1低效，2高效

天涯剑歌：
附议浊浪逝风。并且浊浪逝风的定义也可以作为后续招人时的面试题。

DS（DeepSeek）：
开篇对性格类型分析有独特见解，具有较高的心理学参考价值；
后文的方案低估人性复杂性，实际应用中可能面临挑战。

仙世凡生：
附议DS。DS虽然有时候很发散跳脱，但批评时真的很准确。之前批评风神界设计时也是很准。（咦我的评论貌似跑题了）