### 定义
对齐能力，属于描述的一种，是指对于两个直观上类似的概念，使用两句形式上类似的语句来解释。
对齐能力是分类能力的基础。
### 案例：辞职与开除的区别是什么？
未对齐的解释：
- 辞职是我不想干了
- 开除的话我无可奈何

一种对齐的解释：
- 辞职是主动的离开公司
- 开除是被动的离开公司

另一种对齐的解释：
- 辞职是老板不希望你离开公司、你离开
- 开除是老板希望你离开公司、你离开
### 对齐的步骤
第一个技巧：找共性。
所谓对齐，就是把两团毛线梳理清楚，不断抽出来二者一致的部分，剩余的差异会越来越少。
辞职与开除，共性是什么？（参考：发散能力课）
都是离开公司，都是丢掉工作。
那么，基于此，差异是什么？辞职是XX的情况下丢掉工作，开除是XX的情况下丢掉工作。填充这里的XX。

第二个技巧：找对立/阴阳/升降/你我/悲喜。
对于两个类似的东西，去寻找它们的对立的感觉。比如，辞职是喜悦的，开除是悲伤的。
然后加上共性：辞职是喜悦地失去工作，开除是悲伤地失去工作。这就是一个对齐的结果。
之后你可以对喜悦与悲伤做对齐：
- 喜悦是我喜欢的事情发生了
- 悲伤是我不喜欢的事情发生了。
那么代入到辞职中：
- 辞职是我喜欢失去工作、我失去了工作。
- 悲伤是我不喜欢失去工作、我失去了工作。
这就是一个优秀的对齐。

问：为什么对齐的结果有很多种？哪个是对的？
答：本就可以有很多种。对齐没有对错，只有优劣。只要形式上类似、且事实正确，那么就是优秀的。
问：什么叫形式上？
答：形式上类似，就是不考虑语义，只考虑文字的形状，两句话的形状是类似的（即，两句话中大多数的汉字是相同的）。
问：我能感受到对齐法有用，但为什么会有用？不是说汉字只是载体、载体不重要吗？注意，我并不是在质疑对齐法有用。我这个问题就像是问【为什么三个2相加的和会等于两个3的和】一样，我知道乘法交换律，但我想知道乘法为什么满足交换律。如果你无法回答，那么可以说无法回答。
答：好问题，你思考的很深，这非常好；并且你举了一个例子做注释，描述的很清晰，很好。现在我回答你的问题：
我之前说过标准化，要使用标准化后的汉语来分析问题，从而脱离自然语言歧义的影响。
对齐，就是标准化的一部分。标准化除了定义定位定序之外，还有对齐、唯一性、一致性、引用存在等小方法。
- 一致性：两个相同的词必须表达相同的含义。一段话中一个词出现了两次，那么这两处它所表达的含义必须相同。如果不同，那么就是不标准的，不同的话应当使用不同的词汇。
- 唯一性：两个不同的词必须表达不同的含义。即，一个含义必须只有一个唯一的词汇与其对应。
- 引用存在：一个代词所引用的东西必须在前文中已经存在。例如，不可以在开篇说【我朋友XXX】，而是要说【我有一个朋友，他XXX】、后文才可以说【我朋友XXX】。
载体不重要，说的是：
- 当对方发言时，不要只看对方的文字，要结合你对语境的了解、理解其文字背后没表达出来的含义。
- 不同的语言，可以表达相同的含义。
- 当你通过暗示来让对方产生某个你希望但不正确的想法时，如果对方事后发现你的把戏、找你麻烦，那么你不可以说【我没说过，是你自己误会】。
在社会环境中，你不能要求对方对载体的用法完全正确，因此你需要穿过载体、看到信息。
而在分析问题中，你能够保证载体正确，那么你就需要尽可能的排除载体的干扰，将载体标准化。
### 习题
- 对齐地定义【衣服】与【裤子】。
- 对齐地定义【偷窃】和【抢劫】。
- 对齐地定义【批评】和【指责】。（案例：打碎碗，批评是【打碎碗，不仅损失财产，而且清理麻烦。下次双手端碗】，指责是【你怎么这么不小心？】）
- 对齐地定义【威逼】和【利诱】。
### 答案
- 衣服是帮助上半身御寒的工具，裤子是帮助下半身御寒的工具
- 偷窃是未经你的许可、在你的目光外获得你的宝物，抢劫是未经你的许可、在你的目光下获得你的宝物
- 批评是以让你改正为目的强调你的错误，指责是以宣泄情绪为目的强调你的错误
- 威逼是让你因【不喜欢【不做的话他会给你的损失】】而做一个你本不会做的事，利诱是让你因【喜欢【做了的话他会给你的收益】】而做一个你本不会做的事