### 摘要
很多游戏中的好感度的设计是：帮助他人时，增加好感；请求帮助时，降低好感。
这不真实。
真实的好感设定应当是这样的：
1.帮助他人之后，增加自己对对方的好感度。（而不是对方对自己的好感度）
2.遇到问题时，如果还未付出代价、或付出的小于预期代价，对方就帮助了，那么增加对对方的好感、并调整降低未来的预期代价。
3.遇到问题时，付出预期代价、请求帮助。如果对方同意，那么不增加好感。
4.遇到问题时，付出预期代价、请求帮助。如果对方拒绝，那么多付出一些代价。如果依然拒绝，那么降低好感；如果多付出后同意，那么增加好感，并调整提高未来的预期代价。
简单来说就是：帮助他人，未必增加好感，频繁的帮助会被对方视为理所应当；请求帮助时，永远不会降低好感（除非对方请求你帮助的时候、你请求对方帮助。但这本质是因为你拒绝对方的请求而降低好感，而不是因为你请求对方帮助而降低好感）。
问：这也不真实。现实中存在【请求帮助后，同意，但降低好感】的情况。
答：本文讨论的是潜意识机制。现实中一切的【请求帮助后，同意，但降低好感】的情况，都需要表意识参与。
本文讨论的是游戏设计。游戏中的低级AI可以只由潜意识支配，也能表现出许多的类人行为。或者说，类动物行为。
### 正文
《鬼谷八荒》《骑马与砍杀》《EVE》《群星》等游戏中都有【好感度】的设定。当然，名字有各种变化，比如【声望】【影响力】，但本质都是【好感度】：做某些帮助他人的事情时，会增加对方对自己的好感度；做某些帮助自己的事情时，会消耗对方对自己的好感度。
这个设定看起来很正常，但实际上并不真实。
最典型的反例就是【舔狗】。舔狗并非本性舔狗，很多舔狗是很反对舔狗的、自己都不知道自己是怎么成为舔狗的，觉得自己之前的各种行为都很正常、没有要舔的意思，但现在回顾过去却发现自己莫名其妙像舔狗一样。
（舔狗：两性关系中，一方过度追求另一方、态度极其卑微、付出大量时间精力金钱尊严，另一方却回应寥寥、拒绝告白、但是不拒绝做朋友。取自“跪舔对方脚趾”“像狗一样卑微”之意。）
舔狗其实就是来自于这样一种设定：做帮助他人的事情时，会增加自己对对方的好感度。
很多人认为：因为喜欢，所以帮助。
这个因果是搞反了的。应该是：因为帮助，所以喜欢。
准确的说是：
对于关系平淡的场景，因为生成帮助的想法且没否决，所以帮助。因为帮助，所以对对方的好感度增加。
对对方有好感的场景，因为好感而帮助。因为帮助，所以对对方的好感度进一步增加。

经典的好感设定还有另一个问题：帮助他人，未必会增加对方对自己的好感度。
还是以舔狗为例。舔狗之所以存在，就是因为被舔的人并不感激，而是视为理所应当。
因为一直在舔，所以视为理所应当。
如何让对方不视为理所应当？不要一直舔。
但如果直接不舔，那么对方会生气、甚至绝交。
要这样：
不舔，但是对方表达一些关心，就继续舔。
过一段时间，表达一些关心也不舔，要更多的关心才舔。
再过一段时间，表达更多的关心也不舔，要付出更多的实质代价才舔。
再过一段时间，表达关心也态度冷漠，付出实质代价也仅仅是跟对方正常交流，要付出更多才会偶尔热情。
这样，对方就在不知不觉中身份互换，变成你的舔狗了。

什么时候好感会降低？是做帮助自己的事情吗？并不是。帮助你，对方对你的好感反而会增加。
是对方需要你的帮助，认为你会同意，但你拒绝，且没给出合理理由、且对方做出一些简单尝试后你依然拒绝的时候。这时候好感度降低。
这个【需要帮助】是广义的。你们出去玩，到饭点了要吃饭，他有钱、但依然希望你请客（因之前他请客了），这也属于【需要帮助】。
简单的尝试，比如，你拒绝请客的时候，对方通常不会立刻降低好感，而是会问你理由，或者表达一些他的理由（比如：我之前都请客了）。如果你依然拒绝，才降低好感。
再比如，当你不舔的时候，对方不会立刻降低好感，而是先尝试多付出一点，如果你依然不舔，那么才会降低好感。
当然，上面说的都是潜意识的。如果你需要某一个重大的帮助、这个帮助的成本很高，那么会触发对方的表意识觉醒。此时就跟经典的设定一样了：你帮我、加好感；我帮你、降好感。

什么时候好感增加？只是帮助他人的时候吗？不只是如此。有时候，他人帮助自己时，自己对对方的好感也会增加。
重点在于【意料之外】。
当出现意料之外的帮助时，才会增加好感。
比如，自己遇到某个问题，认为对方不会帮自己。但对方主动发现并帮助了；或者，自己死马当活马医去找对方，对方同意了。
但注意，只有第一次帮助才会好感增加。因为第二次时就不会【认为对方不会帮自己】了。有了第一次的经验，第二次会认为【对方还会帮】。所以，要持续获得好感的话，第二次请求帮助时要拒绝，第三次才帮。
那么，是【每间隔一次、帮一次】吗？也不是。这也是规律，对方也能预测。要无规律。
除了无规律之外，还有一个更好的方法：第一次帮，第二次不帮，第三次提高代价后帮，此后不断提高代价，直至【对方知晓，要你帮助的话，代价为A。A卡在对方的边界：有时候会支付、有时候不支付】，然后你偶尔提出一些【对方支付小于A的代价、你帮助】的具体建议，并一直通过其他方式把对方的预期代价控制在A（比如反复强调、以及对方在主动提出小于A的代价并请求你帮助时你拒绝）。这样就可以持续获得对方的好感。（代价不只是金钱，还有时间精力成本。比如，代价中可以包含【至少付出一小时的精力】，这样的代价就是通常人会犹豫的。比如，按照分析，一个最简单的代价是：要想让我帮忙，需要给我按摩一小时。你的很多麻烦自己也能解决，于是不会给我按摩。但我偶尔会主动帮你解决一些麻烦。并且，当你遇到麻烦想找我帮助、且不想按摩时，我拒绝；你偶尔会通过按摩来请求帮助。这样就可以持续获得好感。注意：代价要灵活控制在对方的边界。超过边界得越多、平时的降低代价的频率就要越低。可以通过对方支付代价的频率来判断边界，经常支付就低了，很少支付就超了。）

所以，游戏中好感的设定应当是这样的：
1.帮助他人之后，增加自己对对方的好感度。
2.受到他人帮助时，如果自己支付的单位代价小于【预期要此人帮忙所需要支付的单位代价】，那么增加对对方的好感度。计算预期代价时，对于熟人、取此人过去五次帮助中的最高单位代价。对于陌生人，取过去五次陌生人的帮助中的最高单位代价。（单位代价：代价比收益）
3.遇到问题时，对有好感且有能力的人请求帮助，付出的单位代价为【过去五次的平均单位代价】。如果对方拒绝，那么多付出一些代价。如果依然拒绝，那么降低好感。
还需要加一个评定收益与代价的功能。