### 未来的机遇
1980是工业时代，造就恒大等万亿级企业。
2010是互联网时代，造就腾讯等万亿级企业。
2030是教育时代，教育小说、教育游戏，都将诸多万亿企业。而当下，小说与游戏市场仅百亿。
### 当代教育游戏
当代（2025）的教育游戏处于非常早期的阶段，不存在一个典型的教育游戏。目前沾边的有：
- 功能游戏：即严肃游戏，有教育意义的游戏。例如《紧急事件指挥官》。
- 自动化游戏：可以在游戏中使用复杂的逻辑电路来实现自动挂机。例如《异星工厂》《缺氧》。
- 模拟经营游戏：可以在游戏中模拟经营一个店铺。例如《医院计划》《监狱建筑师》。
- 大战略游戏：即国家模拟经营游戏，玩家扮演国家领导人。例如《文明》《钢铁雄心》。
功能游戏太严肃了。教育游戏需要娱乐性。
自动化游戏依然略严肃，而且教的知识局限于自动化。
模拟经营与大战略游戏中，往往略去了复杂的人性；以及由于AI的愚蠢、导致玩家可以做出许多设计师意料之外的操作，违背经营法则、在现实中必亏、但游戏中高收益。这导致学习效果大打折扣。
### 教育游戏的存在性
教育游戏，即教育性与娱乐性都达到巅峰的游戏：娱乐性超越《英雄联盟》《我的世界》等现象级游戏，教育性超越学校与网课、使得教育游戏的背景下学校将消亡、人均博士。
**教育游戏是可以存在的。**
下面我将证明这一结论。
其核心引理为：
**娱乐与学习本就是一体两面，同源同根。人类基因里的愉悦机制就是学习机制，只不过，学校学习不被基因承认为学习，而游戏中学到的无用知识却被基因承认为学习，这才是过去游戏与学习分家的原因。但只要给予合适的环境，那么即可让基因承认数学/语文/英语/物理等知识为学习，这个合适的环境即为教育游戏。**
证据：
- 游戏中不学习则不好玩：
	- 玩家如果用作弊器把自己调整为无敌，那么会很快玩腻、不想玩了。因为没有失败，没有挑战，没有改进空间，**没有学习**。
	- 玩家需要新鲜感。一个游戏如果只是重复的刷刷刷，那么很快也会无聊，所以刷刷刷的游戏需要在各个等级引入新玩法。无聊就是因为没有新东西，没有新鲜感，只有枯燥的重复操作，只有可预测的东西，没有预测之外的东西，无法因意外而触发认知与记忆，**无法记忆式学习**。
- 游戏中好玩即学习：
	- 玩家喜欢【认为一个方法能杀敌/胜利，但不确定，执行方法，果然杀敌/胜利】，本质是学到【这个方法的权重要提高】。
	- 玩家喜欢【认为无解，几乎放弃，但最终胜利】，本质是触发观察【怎么赢的？】，学到【这个局面并非无解，而是可以XXX】。
基于此，第一引理得证。
然后，第二引理：
**学习机制：发现一个被需要的、验证为真的知识，即触发学习机制，愉悦并记忆。**
- 学术知识被需要且验证为真则好玩：
	- 数学：以数学为最终手段。出海航行，迷失方向，先高举手机找信号，再登上桅杆找信号，再随机航行并寻找灯塔……皆失败，食物淡水日益减少。最终以星图数学算方位，得救。如此学习，有趣且印象深。
	- 英语：以英语为动作伴随者。一起盖炉子，盖到一半，伙伴指着远处的一个砖头说【ku ru la mo da】，并且勾勾手指，你去拿过来，伙伴对你竖起大拇指。之前的泥巴用完了，他指着空桶说【ku ru la ki po】，你拿起桶去河里舀水给他，他竖大拇指。如此学习外语，有趣且印象深。
- 学术知识不被需要或未被验证则不好玩：
	- 不被需要：一个人如果只是阅读了上面数学/英语中的故事，那么通常不会印象深刻（除非代入故事）。因为他们没有靠岸的需要，没有盖炉子的需要。
	- 未被验证：一个人如果只是从课本上学到英文，那么通常不会印象深刻，因为那些英文单词的正确性未被验证。对教材的理性信任不作为基因学习机制中的验证条件。
基于此，第二引理得证。
每一个有趣的游戏，本质都是让玩家学到某些知识，但那些知识通常没有什么实际价值（比如学习装备搭配、操作）。
由于娱乐与学习同源，因此理论上完全可以有游戏以【让玩家学习有价值的知识】为娱乐点，此即为教育游戏。
### 教育游戏的性质
- 学术知识通常高阶，不可直接教育。【装备搭配、操作】等游戏常见的教育因子是一阶的，可以直接教育。要教育学术知识，需要将其降阶为从高阶到一阶的一系列知识，再从一阶到高阶的依次教育。
- 学术知识的从一阶到高阶的过程，通常等价于此学术知识在地球的真实发展史。例如数学起源于航海，语言起源于指令，因此上文以航海与指令作为数学与英语的一阶教育。
- 教育游戏中，没有哪个学术知识是必要的、强制的。所有学术知识都是玩家主动决定学习的。不存在【不学某个学术知识就玩不了】，只存在【不学某个学术知识，那么就会玩的很难受】。
- 存在元教育游戏：教育【如何制作教育游戏】的教育游戏。元教育游戏的出世也将标志着教育游戏井喷式出现，学校加速消亡。
- 存在集教育游戏：教育海量知识的教育游戏，一个子集就足以一门博士毕业。这将是教育游戏的盛世，万亿级企业的诞生。
### 注
完全体的风神界也是一个集教育游戏。