### 线与点
（以下概念在【游戏】命名空间下）
定义【主线】：列举定义为：
- 修仙挂机游戏、暗黑/传奇类游戏的主线通常是“境界的提升”
- 战略游戏的主线通常是“领土的扩张”
主线，是玩家在游戏历程中的一个线性变化的值的变化历程。
定义【线性变化】：例如，由少到多，由弱到强。
定理：一个好的无限RPG游戏必须有主线。
定义【无限游戏】：没有终点的游戏。（或者终点很远、上千小时，或者当游戏抵达终点后游戏寿命结束）

定义【主线节点】：主线上的一些离散的关键节点。例如：
- 对于【境界的提升】，那么【突破炼气期】【突破金丹期】就是主线节点。
- 对于【领土的扩张】，那么【占领一个星系全境】【占领周边的所有无人星系】【覆灭一个敌对势力并占领对方的星系】是主线节点。
定理：一个好的无限RPG游戏必须有均匀的主线节点。
定义【均匀】：线性均匀或对数均匀。
定义【线性均匀】：当玩家在第X节点时，前往第X+1节点所需的时间期望为A。A是常数。
定义【对数均匀】：当玩家在第X节点时，前往第X+1节点所需的时间期望为F(X)。其中F(X)是关于X的多项式函数。
即，在线性均匀下，玩家在第一小时到达节点1，在第二小时到达节点2，第三小时节点3……
在对数均匀下，玩家在第一分钟到达节点1，第二分钟到达节点2，第四分钟到达节点3，第八分钟到达节点4……

定义【平凡节点】：一些离散的、收束的事件点。例如【完成一个任务】【击败一个副本】。
定义【收束】：当X时，玩家的一些工作结束，大脑可以释放这些工作相关的缓存、不再记忆它们。对此称X是收束的。
定理：一个好的无限RPG游戏必须有均匀的平凡节点。
定理：玩家对时间是没有感知的，只有对节点的感知，【十节点一小时】比【五节点三小时】漫长。
证明：在节点时，玩家会产生较深的印象；当回忆时，玩家会按印象回忆，印象种类多就认为时间长。因此节点影响时间感知。
佐证：文明、异星工厂中极少存在收束点，节点很少，因此玩此类游戏很容易【一不留神就天亮了】，感觉时间过得飞快。
### 平凡节点与主线节点的关系
定义【历程】：玩家从游戏开始到游戏结束（上千小时）的整个历程。
定义【区间】：历程中的一部分。
定义【速度】：定位为某区间的速度。定义为此区间中的主线节点与平凡节点的比值。平凡节点越少，速度越快。
定义【节奏】：历程上的速度曲线。将历程分割为多个区间，各个区间的速度的连线。
定义【对数节奏】：在历程前期，速度快。在历程后期，速度慢。

定理：一个好的无限RPG游戏必须是对数节奏。
证明：玩家对时间无感知，只有对节点的感知。基于此，如果前期速度慢，那么玩家会觉得拖沓无聊；如果后期速度快，那么玩家会觉得【升级打小龙虾，换汤不换药】。

定理：如果平凡节点是线性均匀的，那么主线节点必须是对数均匀的。（基于对数节奏。证明略，数学运算）
定理：如果主线节点是线性均匀的，那么平凡节点必须是指数均匀的。（指数均匀：越后期越密。当玩家在第X节点时，前往第X+1节点所需的时间期望为F(X)。其中F(X)例如1/X）

问：为什么叫做对数均匀与指数均匀？这函数也不是对数函数与指数函数啊！
答：指数均匀，是指这样一个图景：【在一个线上，左侧是原点。越靠近左侧越稀疏，越右侧越密集】。这些点如同【对于一个指数函数，取它y值为1 2 3 4……的横坐标】。
对数均匀，是这样的图景：【在一个线上，左侧是原点。越靠近左侧越密集，越右侧越稀疏】。这些点如同【对于一个对数函数，取它y值为1 2 3 4……的横坐标】。
这个线与这些点，横轴是游戏时间，点表示节点。

我们的游戏采用【平凡节点是线性均匀的，主线节点是对数均匀的】。
### 高速区间
定义【高速区间】：高速的区间。
定义【一比一高速区间】：打一关升一级，且这种升级是主线节点、是蜕变、战斗力至少翻倍（而不是提升10%战斗力的不痛不痒的平凡升级）。
定义【一比二高速区间】：打一关，学一个操作（完成一个以【学此操作】为内容的任务），升一级。
定理：一比二高速区间是最好的前期，可以用来代替新手教程，使得新手在学习操作时本身有趣（而不是枯燥的学习新手教程）。

结合具体情况，可以在一比二高速区间上微调，例如【打两关，学一个操作，升一级】，也优秀。
一般的垃圾游戏，前期一比十甚至一比一百。
### 中速区间
定义【中速区间】：中速的区间，通常一比三到一比十左右。



更多内容见于【游戏设计：强化材料】。
#游戏设计/02理论设计：线（节奏）/01基本概念/01主线
#游戏设计/02理论设计：线（节奏）/01基本概念/02主线节点 
#游戏设计/02理论设计：线（节奏）/01基本概念/03平凡节点 
#游戏设计/02理论设计：线（节奏）/01基本概念/04速度
#游戏设计/02理论设计：线（节奏）/01基本概念/05节奏
#游戏设计/02理论设计：线（节奏）/01基本概念/06对数节奏 
#游戏设计/02理论设计：线（节奏）/02对数节奏/A高速：一比二高速区间