### 问：你们这学历，一群臭鱼烂虾也想做这大项目？
不要以学历来评价他人。
微软的比尔盖茨，苹果的乔布斯，脸书的扎克伯格……众多大佬都是辍学的。
辍学的人有两类：
一类是不爱学习，或者成绩差到挂科，或者干坏事被劝退。
一类是因为【自己想学的东西学校不教，精力充足的话自学/实践效率高，但学校强制占用自己太多的精力】而退学。
第一类是臭鱼烂虾，但我们是第二类。
### 问：怎么证明你们是第二类？
第一，我（执悲今厄）高一在北大附中全校第一，高二辍学。
第二，我有数百个原创的学习方法。例如，读书的时候先读目录，预测一下全书内容，再针对自己不确定的地方阅读正文，尝试印证自己的猜测，这样的学习效率非常高、且理解深刻、这样的方法我有数百个，每个我都可以写一个几千字的文档、包含其适用范围与案例演示；我还有一个元方法，可以针对任何需求来定制学习方法。部分文档我发布在互联网上做付费专栏，收入六十万元。
第三，我拥有研究能力，这主要是事前对目标的清晰描述能力、基于目标而倒推过程的分析能力、实践中获得负反馈时调查与反思与修正的能力。这份研究能力也是我所谓的【元方法】，我将其称为通用信息处理能力，作为付费专栏的核心。
第四，我精通教育方法，董事会其他成员经过我的长期教育、都拥有媲美我的学习与研究能力。教育方法主要包含三个能力：
1. 无限展开。我能对任何一个知识点无限层的展开，学生对任何一个点不理解、我都可以详细讲解。不会说【笨！这不显然的吗？这你都不会？】。特别的，展开有两个技巧：案例化、低阶化。案例是指举例子，低阶是指【如果不用它，那么可以用哪个其他的东西、实现凑合但有缺陷的效果】。
2. 因材施教。我曾研究过小说人物塑造，也因此了解万千人性分类、并拥有强大的代入能力，能够随着与学生的熟悉而无限深入的理解学生的能力与性格，并基于此来给每个人定制课程。
3. 梯度化。这是教育的核心，我会让学生从解决一个小困难开始，不断解决越来越大的困难，平滑上升，直至强大。我能敏锐察觉到每个学生的状态，随时调整任务难度、提供帮助、修改后续任务计划。直至他们成长得：他们难以解决的困难，我解决起来也不简单。
### 问：不说学历。黑神话能被投六千万，那是因为人家团队做过大型游戏《斗战神》。你们有什么经验？
首先，我们确实没有什么游戏制作经验（除了超级扫雷）。
但我们有营销经验。我们清晰的知道广大用户喜欢什么。
团队中有很多人做过自媒体，目前有八个有单图文万赞或单视频百万播放的账号。并且我们有一个最终效果设计稿，游戏做完之后按照这个稿的节奏去录一个视频、我们有70%的把握可以千万播放、95%的把握至少百万播放。效果稿：[[虚拟宇宙游戏节奏]]。之所以这样确信，是因为大量的自媒体经验、对数十人的采访调查、以及王老菊的《奴隶阿飞的励志人生》视频先例。
视频引流量大约是5%。游戏单价100，千万播放的话，单视频就可以带来五千万的收入；再结合其他途径（Steam推荐、论坛口碑传播），总收入过亿没问题，甚至可能十亿百亿。
我们信奉【先明确目标效果，再开发游戏】。目标效果就是上面的设计稿。基于此，我们不需要考虑游戏能否卖出去（因为目标效果确定后、一定能卖出去），只需要考虑我们如何做出来能实现上面的效果稿的游戏。这就是纯技术问题了。

然后，技术方面，我们有各个模块的经验（库），以及整合模块的经验（超级扫雷）。
虽然没有做大项目的经验，但这可以通过【分析能力+反馈修正能力】弥补。团队中几乎每个人都具备此能力。
这个能力的应用，简单来说就是：明确目标后，分析出一套理论、基于理论得到解决方法，去执行。执行中发现效果不好，那么就反思，修改理论、修改方法，然后重新执行。如此直至成功。
这个能力有一个例子：团队成员【忘忧草】研究自媒体。
**初入自媒体**
当时，他明确自媒体这一目标后，开始分析如何做出好的视频。
首先，他大量浏览高播放的视频、低播放的视频。对于高播放视频，他提炼其优点；对于低播放视频，他提炼其缺点。如此，积累数千个优缺点。
然后，他尝试用一套自洽的理论来解释所有优缺点。
**研究理论**
理论需要做到两点：第一，消除矛盾。第二，精简理论。
什么是矛盾？例如，【优点：有主见】【缺点：不守规矩】，这是一种矛盾：有主见就是不守规矩，它不能既是优点又是缺点。
这数千个优缺点中存在大量的矛盾，这很正常，要消除它们。
怎么消除？这个办法比较抽象，放在下文注释中了。这里只说消除的最终结果：【优点：规矩错误，不守规矩，有主见】【缺点：规矩没错，不守规矩，招人烦】。
（注：消除方法：追问自己，为什么同样的东西感受不同。感受不同，一定是因为东西不同，东西一个是ABC好，一个是ABD差，你都描述成AB，所以才有【AB好，AB差】的矛盾。）

什么是精简？用几百个字，解释那数千个优缺点。
比如，【优点：规矩错误，不守规矩，有主见】抽象为【优点：观众知道应该做某件事，但又有心态上的理由而不敢做那件事，此时主角做了那件事，观众会震撼与兴奋】。抽象后的这个优点就可以覆盖数十个普通优点，打破规则只是一个普通优点。并且这个抽象后的优点，还可以再更进一步抽象为更加抽象的存在（演示略。那涉及到冥想，读者无法理解）。

就这样，花了三个月时间，他得到了一套视频制作理论，并且学习剪辑软件的操作办法，然后根据理论来制作视频。
**反馈修正**
他制作的第一个视频，凉了。只有一百播放。
然后他反思，修改理论。
第二个视频，一万播放。
反思，修改理论。
第三个视频，百万播放。

账号：小红书：幻景析。
**总结**
有经验的人，大概行；没经验的人，大概不行。这没错。
但只是大概，不是必然。有经验的人也可能失败，没经验的人也可能成功。
思维能力（尤其是分析与反馈修正能力）强的人，可以需要更少的经验。我们就是这样的人，我们有强大的思维能力、以及及格的经验。
### 问：孤例没用。你那三个视频的增长也许只是巧合罢了。
并不是巧合，因为反馈修正时有非常多的操作与细节需求，不是简简单单的【反思】两个字。
这里的【反馈修正能力】那一节里具体描述了反馈修正时的操作方法：[[投资如赌石，如何摘翡翠]] 。