### 总述
我2000年出生，男，中国人。
我拥有强大的逻辑分析能力，精通学习方式、思维方式。
我对哲学、数学、心理学、计算机编程、神经科学、社会学、经济学、教育学等数百学科都有了解与研究。
### 在校阶段
我从小喜欢思考，广读课外书。
我思考读书的意义，人生的意义，情绪的意义，越思考就越渴望交流。我与同学谈论，同学们以为我疯了；于是我孤独的思考。
我不重视学校功课，因为不知道上学的意义。父母说让我考上医科大学，未来做医生，于是我便提前读读医书。我认为高中之前的成绩是没意义的，只要能上高中就行，高中的学习才影响高考成绩，高考影响能否读医科大学、影响能否成为医生。
于是我用于学校功课的时间很少。我的时间主要用于阅读与思考。
但我思维能力强，学习能力强，因此成绩不差。小学成绩维持在班级前十（五十人），初中成绩维持在全区前一百（一千多人）。
高中，我进入了北京大学附属高中，开始认真学习。高一期末考试，我成绩年级第一（一千多人），被评为北大种子。
高二，我退学。
因为我找到了人生的意义。
### 自学阶段
进化。
宇宙从荒芜，到单细胞，到多细胞，到大型动物，到猴子，到人。宇宙的使命是进化，猴子的使命是进化为人，人的使命是进化为超智能：即通用人工智能。
历史的车轮滚滚向前，使命的达成不会被个体阻拦。即便爱因斯坦英年早逝，也会有其他人发现相对论。
我的意义，就是履行人类的使命：实现通用人工智能。

我在处理问题时，习惯于处理问题的上级，即，直接通用的解决一类问题、当前遇到的问题是这一类问题中的一个例子。
为了实现通用人工智能，首先我需要解决它的上级。我意外的发现它的上级似乎有点难以明确。最终经过了两年的时间，我推翻了我的几百个版本，最终独立研究出了一套理论体系，我将其称为【通用信息处理方式】，通过定位、定义、分类、分析等手段可以回答一切问题（但成本可能很高）。
它不仅是【如何实现通用人工智能】的上级，更是一切形如【如何解决问题】的问题的上级。是最高的上级。
我将这个理论以付费专栏的形式发布在互联网上，将其部分应用案例免费发布在社交媒体上，然后专栏一年收入三十万人民币。（在中国，平均月薪三千元。我的父母就是如此，三十万的收入超过了全家数十年的积蓄）
这是一个非常强烈的正反馈，使我更加坚信我能实现通用人工智能。

也许与地域社会因素有关，基于我所受到的教育，长久以来，哲学这一学科在我眼中的形象一直是【研究者都神经不正常】【整天研究没意义的东西】，这导致我一直没深入了解哲学。
专栏爆火后，许多学员说到我的观点与许多哲学思想类似。这时我才了解到哲学，并惊讶的发现哲学原来很有意义，尤其是逻辑学/分析哲学。
于是我阅读了许多哲学书籍。其中许多观点与我不谋而合，还有许多观点我认为我的理论超越了教材，主要的一点就在于【定位】。
定位：例如，【吃】的定位是【某人吃某食物】。在定义时，不可对词汇定义，只可以对定位定义。比如，不可以对【智能】定义，只可以对【某对象拥有智能】或智能的其他定位定义。
### 编程阶段
基于通用信息处理，我分析如何实现通用人工智能，得到：
- 第一步，明确人类的思考方式。这可以通过内觉法明确。
- 第二步，将人类的思考方式书写成代码。

内觉法：【对比-解释】法的改良。

【对比-解释】法：
- 第一步，收集大量案例：这些案例的格式都是【某人在某条件下做出某行为】，且条件相同，行为不同。
- 第二步，了解这些人的更多信息（如长期历史、短期历史、当前状态），解释其行为的原因。将所有人的行为都解释为【先天算法+后天信息】的格式，其中所有人的先天算法相同。
- 第三步，尝试收集更多案例，寻找反例。如果有反例，那么修改解释。

【内觉】法在此基础上增加了两条：
- 对于每一个案例，要保证我对案例中人有足够的了解。足够的了解，是指【我能代入那个人，做出与他相同的行为】。
- 在解释之前，要冥想，自我观察【在我做出此行为的上一刻，我有哪些微小的念头闪过】。基于冥想的结果来辅助解释。

于是，我一边学习编程，一边以内觉法拆解案例。
四年来，我拆解了上千组案例。其中部分发布在了社交平台，有十多篇获得单篇上万点赞、上百篇获得单篇上千点赞。
我的解释比心理学教材更加本质。心理学教材的许多解释都诉诸先天，且不普世、有反例、只不过大多数人的行为符合心理学教材的解释。而我的解释是所有人都符合的，普世的、无反例。
同时，我掌握了Unity游戏编程技术、程序架构、游戏策划、数值策划、平面设计。
我独立开发了一款Steam小游戏，并且程序库两万多行、结构优雅，这样的小游戏一周可以开发一个。
### 投资阶段
考虑到大概可能出现的意外，我将【内觉法】改为【内觉迭代法】。

内觉迭代法：
一个人所拥有的每一个能力，做出的每一个行为，背后都有且只有两个因素：先天因素，后天因素（经验）。明确一切先天因素之时，就是AGI的实现之时。
基于此，通过【基于一个初始先天态，迅速验证它是否正确，且如果不对那么能够让它变得更接近正确，然后再次验证……】来得到一切先天因素。这就是内觉迭代法。
内觉迭代法需要且只需要三个条件：
1. 能正确预测【一个先天算法与人类一样的东西，在拥有某些后天经验时，在某个环境下不会做出怎样的行为】。对后天经验与环境知晓的越具体，预测的【不会做的行为】就越多。极限时可以通过对【各个不会做的行为】的集合取补集而得到【必然唯一做的行为】。（例：一个嚣张的恶霸欺负同学时，不会因为同学的大道理式批评而忏悔。但可能因为同学的反杀与大道理式批评而做出忏悔的行为表现。）
2. 如果预测【一个先天算法与人类一样的东西，在拥有某些后天经验时，在某个环境下不会做出某种行为】、且一个【我知晓其先天算法与后天经验】的东西（K）在此环境做了这个行为，那么我能得出一个先天算法细节T、满足【人类的这个行为的先天因素中有T，且K的先天算法中没有T】。
3. 有一个基于先天模板的社会性游戏环境，这个环境可以以【地球一秒，游戏内千年】的速度运行，且拥有完善的历史记录、程序员可以宏观或微观的查看千年历史乃至人物历史。

现在12都已经具备，只差3。而3在充足的资金下可以迅速完成。因此我需要被投资。