### 概念
游戏流水线，是指制作制作一个个微创新的游戏。
微创新，是指照搬一个现有的游戏，仅在美术上改动，以及设定上增加一些微小的创新。
例如，《戴森球计划》是《异星工厂》的微创新，《Necesse》是《泰拉瑞亚》的微创新。
微创新，相比于独立制作游戏，有如下好处：
1. 不会在数值设计上耽误时间。自己做游戏需要经常推翻重设数值，而微创新时只需要照搬并微调他人的数值。
2. 不会迷茫与放弃。由于照搬，因此你可以时刻明确自己的进度，对游戏最终的全貌有理解，时刻知道自己缺什么、要做什么。自己做游戏很容易因为【不知道还缺什么，但知道现在的不好玩】而放弃。
### 素材
可以微创新的原型有：
1. 《龙崖》《小小治疗师》：挂机战斗游戏
2. 《杀戮尖塔》：卡牌战斗游戏
3. 《植物大战僵尸》《保卫萝卜》：塔防游戏
4. 《异星工厂》《戴森球计划》《Mindustry》：工业游戏
5. 《地下蚁国》：单局工业游戏
6. 《吸血鬼幸存者》《土豆兄弟》：类吸血鬼幸存者游戏。这个仿造简单，创新简单，也因此，吸血鬼幸存者一经发布就有无数微创新的、收入千万的游戏
7. 《向僵尸开炮（微信小游戏）》：在手游的基础上加速进度，可以结合《铁轨与墓穴》做成五小时一周目流程的游戏
8. 《无限升级（手游）》：一个不错的模子，这个模子框架使得你不需要关心数值，数值随便设计都可以。地图敌人无限变强，玩家总会在某一层卡住。
在挑选原型的时候，需要评估工作量。《饥荒》《泰拉瑞亚》这种包含大量设定的游戏不适合作为原型。《异星工厂》虽然也有很多设定，但都是同质化的，材料的定义只需要一个名字，建筑的定义可以都复用自【容器建筑】，异星工厂本质是一个物流游戏：只有【材料】与【容器】的概念。
### 效率
复刻一款游戏大约需要100小时人。每天工作十小时的话，一个人十天可以做一款游戏。
一款游戏收入大约在一万到十万，偶尔可以上百万（大约十个游戏出一个）。
游戏有收入后，可以雇人来做游戏，我们负责寻找原型以及提供微创新。
微创新的能力本质就是做MOD的能力，只要你拥有做MOD的创意，那么就会微创新。只要你对你觉得不错的游戏有不满，那么就有做MOD的能力。
我在玩各种单机游戏的时候，比如我上面列举的游戏，都会对它们有所不满，认为它们不够好玩、本可以更好玩。你应该也有类似的想法，比如你玩围攻时应当会希望给围攻加入某些零件，那么去实现它、并且改一下画风，这就是微创新。（但流水线不要做围攻。因为物理引擎很麻烦。）
### 难点
第一，鉴赏能力。
如我上面所言，流水线需要微创新、照搬时不能完全一样。而微创新的能力来自于游戏鉴赏能力，这是很多人所缺乏的。以及，还有的玩家的鉴赏能力偏了，比如他们想要获得一个强大的道具，得不到，于是说【游戏中应当让我方便的得到】。创新时不要破坏平衡，除非面对《无限升级》之类的平衡不重要的游戏。
但这个难点对于分析能力强的人不算难点。比如你，你虽然平时不分析，但你要分析时分析能力强。你启动分析去玩原型游戏，那么你可以找出原型游戏的可改进之处，即找出微创新的方向。

附：鉴赏能力的常见误区
游戏鉴赏，是指针对一个游戏、给出表扬与批评，给出评分，给出评分的原因（包括丢分的原因、加分的原因），给出能加分的改进意见。
游戏鉴赏，入门简单，精通困难。大多数玩家都能对一个游戏的好坏说上几句，但是：
1. 很多玩家只能说出原作品哪里差，但说不出来如何修改。
2. 很多玩家说出的修改方式不对，如果制作人真听取建议并修改、那么不仅不加分、反而会扣分。例如，性质A本身会扣10分。性质BCD会扣40分，但A弥补了BCD的瑕疵、使得不扣这40分。此时玩家往往难以发觉【是A在托举着BCD】、默认【BCD本身就完美】，从而在鉴赏时通常会说【改进建议：消除A】。
3. 很多玩家会觉得原作品哪里都不差，但自己就是不想玩。例如，一个作品的框架有问题，但这个作品在框架下的细节都很完美。此时玩家往往无法鉴赏。

第二，剔除能力。
鉴赏让你找到原型所缺乏的东西，去添加。
剔除让你找到原型中不必要的东西，去剔除。
比如异星工厂中的导线可以剔除，汽车可以剔除，外骨骼可以剔除，改为玩家角色的一些参数，比如【移速】【背包容量】【飞行】。这样可以节约许多工作量，且对游玩效果的损耗很小，并且还可以视为一种微创新、可能有加分。
但同样，这对有分析能力的人（比如你）而言并不算难点。你只需要让自己启动分析即可（最好是习惯于时刻启动、非文字分析，只明确状态、维持表意识的最低活跃（而不是0）。当意识到自己遇到需要文字分析解决的问题时，就可以立刻启动文字分析）。
### 本文标签
#自我管理/02本质能力：意识控制自己做事/实现：时刻明确自己状态
#项目/游戏流水线
#游戏设计/00元方法/鉴赏能力
#游戏设计/00元方法/剔除能力
#游戏设计/00元方法/微创新